%define		kodi_ver	19
%define		next_kodi_ver	%(echo $((%{kodi_ver}+1)))
%define		codename	Matrix
%define		addon		inputstream.adaptive

Summary:	Kodi InputStream addon for several manifest types
Name:		kodi-addon-inputstream-adaptive
Version:	%{kodi_ver}.0.7
Release:	1
License:	GPL v2+
Group:		Applications/Multimedia
Source0:	https://github.com/xbmc/inputstream.adaptive/archive/%{version}-%{codename}/%{version}-%{codename}.tar.gz
# Source0-md5:	679d70dbca94e14360dfcf0261cfe032
URL:		https://github.com/xbmc/inputstream.adaptive
BuildRequires:	cmake >= 3.10
BuildRequires:	expat-devel
BuildRequires:	kodi-devel >= %{kodi_ver}
BuildRequires:	kodi-devel < %{next_kodi_ver}
BuildRequires:	libstdc++-devel >= 6:7
BuildRequires:	rpmbuild(macros) >= 1.605
Requires:	kodi >= %{kodi_ver}
Requires:	kodi < %{next_kodi_ver}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Kodi InputStream addon for several manifest types

%prep
%setup -q -n %{addon}-%{version}-%{codename}

%build
%cmake -B build \
	-DBUILD_TESTING:BOOL=OFF
%{__make} -C build

%install
rm -rf $RPM_BUILD_ROOT
%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%dir %{_libdir}/kodi/addons/%{addon}
%attr(755,root,root) %{_libdir}/kodi/addons/%{addon}/%{addon}.so.%{version}
%attr(755,root,root) %{_libdir}/kodi/addons/%{addon}/libssd_wv.so
%dir %{_datadir}/kodi/addons/%{addon}
%{_datadir}/kodi/addons/%{addon}/addon.xml
%{_datadir}/kodi/addons/%{addon}/resources
%changelog
* Fri Jun 24 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kodi-addon-inputstream-adaptive.git;a=log;h=master

* Fri Jun 24 2022 Jan Palus <atler@pld-linux.org> 9b86921
- up to 19.0.7

* Thu Jun 16 2022 Jan Palus <atler@pld-linux.org> 9bc175b
- up to 19.0.6

* Wed May 18 2022 Jan Palus <jpalus@fastmail.com> a8c80b5
- up to 19.0.5

* Mon Apr 25 2022 Jan Palus <atler@pld-linux.org> d818adb
- up to 19.0.4

* Thu Feb 10 2022 Jan Palus <atler@pld-linux.org> 10d1f9d
- up to 19.0.3

* Tue Feb 01 2022 Jan Palus <atler@pld-linux.org> d81109c
- new

